<%@ Page Language="c#" Inherits="Telerik.GridExamplesCSharp.Programming.WebMail.GridsInteraction"
    CodeFile="GridsInteraction.aspx.cs" %>

<%@ Register TagPrefix="radG" Namespace="Telerik.WebControls" Assembly="RadGrid.Net2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html>
<head runat="server">
    <link href="Styles.css" rel="stylesheet" type="text/css" />

    <script type="text/javascript">
		function TreeRequestEnd()
		{
			window["<%=RadGrid1.ClientID %>"].AjaxRequest("<%=RadGrid1.UniqueID %>", "Rebind");
		}

		function GoToInbox()
		{
			window["<%=FoldersTree.ClientID %>"].AjaxRequest("<%=FoldersTree.UniqueID %>", "Rebind");
		}
    </script>

    <!-- end of custom head section -->
</head>
<body class="BODY">
    <form runat="server" id="mainForm" method="post" style="width: 100%;">
        <!-- content start -->
     <div style="width: 780px;">
        <div style="float: left; width: 195px;">
            RadGrid as a Treeview
        </div>
        <div style="float: left;">
            RadGrid with <b>Outlook</b> style
        </div>
        <div style="float:left;height:400px;clear:both;" class="OutlookTopBar">
            All Mail Folders
            <radG:RadGrid ID="FoldersTree" EnableAJAX="True" runat="server" AutoGenerateColumns="False"
                GridLines="None" CssClass="TreeviewGrid" Skin="None">
                <GroupPanel Visible="False">
                </GroupPanel>
                <MasterTableView HierarchyLoadMode="ServerBind" DataMember="Folders" ShowHeader="False">
                    <Columns>
                        <radG:GridTemplateColumn>
                            <ItemTemplate>
                                <asp:Image ID="Image1" BorderWidth="0px" ImageUrl='<%# "Img/" + DataBinder.Eval(Container.DataItem, "FolderName") + ".gif" %>'
                                    AlternateText='<%#DataBinder.Eval(Container.DataItem, "FolderName")%>' runat="server" />
                            </ItemTemplate>
                        </radG:GridTemplateColumn>
                        <radG:GridBoundColumn DataField="FolderName">
                        </radG:GridBoundColumn>
                    </Columns>
                    <DetailTables>
                        <radG:GridTableView DataMember="SubFolders" ShowHeader="False">
                            <Columns>
                                <radG:GridTemplateColumn>
                                    <ItemTemplate>
                                        <asp:Image ID="Image2" BorderWidth="0px" ImageUrl='<%# "Img/" + DataBinder.Eval(Container.DataItem, "FolderName") + ".gif" %>'
                                            AlternateText='<%#DataBinder.Eval(Container.DataItem, "FolderName")%>' runat="server" />
                                    </ItemTemplate>
                                    <HeaderStyle Width="20px"></HeaderStyle>
                                </radG:GridTemplateColumn>
                                <radG:GridButtonColumn ButtonType="LinkButton" CommandName="Select" DataTextField="FolderName">
                                </radG:GridButtonColumn>
                            </Columns>
                        </radG:GridTableView>
                    </DetailTables>
                </MasterTableView>
                <SelectedItemStyle CssClass="SelectedFolder"></SelectedItemStyle>
                <ClientSettings>
                    <ClientEvents OnRequestEnd="TreeRequestEnd" />
                </ClientSettings>
            </radG:RadGrid>
        </div>
        <div style="float: right; width: 565px;">
            <radG:RadGrid ID="RadGrid1" EnableAJAX="True" EnableAJAXLoadingTemplate="True" Skin="Outlook"
                ShowStatusBar="true" runat="server" Width="565px" PageSize="20" AllowSorting="True"
                AllowMultiRowSelection="True" AllowPaging="True" ShowGroupPanel="True" GridLines="Horizontal"
                AutoGenerateColumns="False" Height="405px">
                <PagerStyle Mode="NumericPages"></PagerStyle>
                <MasterTableView DataKeyNames="MailID,Flagged" DataMember="Mails" AllowMultiColumnSorting="True"
                    Width="100%" TableLayout="Fixed">
                    <RowIndicatorColumn UniqueName="RowIndicator">
                    </RowIndicatorColumn>
                    <GroupByExpressions>
                        <radG:GridGroupByExpression>
                            <SelectFields>
                                <radG:GridGroupByField FieldAlias="Received" FieldName="Received"></radG:GridGroupByField>
                            </SelectFields>
                            <GroupByFields>
                                <radG:GridGroupByField FieldAlias="Received" SortOrder="Descending" FieldName="Received">
                                </radG:GridGroupByField>
                            </GroupByFields>
                        </radG:GridGroupByExpression>
                    </GroupByExpressions>
                    <NoRecordsTemplate>
                        <table>
                            <tr>
                                <td valign="middle" style="padding-left: 120px; text-align: center; height: 100%">
                                    <asp:Label ForeColor="RoyalBlue" runat="server" ID="Label1">The are no email items currently in this folder</asp:Label>
                                    <br />
                                    <a href="javascript:GoToInbox();">Go to Inbox</a>
                                </td>
                            </tr>
                        </table>
                    </NoRecordsTemplate>
                    <Columns>
                        <radG:GridClientSelectColumn Reorderable="false" Groupable="false">
                            <HeaderStyle Width="20px"></HeaderStyle>
                        </radG:GridClientSelectColumn>
                        <radG:GridTemplateColumn UniqueName="TemplateColumn1" Groupable="False">
                            <HeaderStyle Width="20px"></HeaderStyle>
                            <ItemStyle HorizontalAlign="Center" Height="35px"></ItemStyle>
                            <ItemTemplate>
                                <img src="img/MailIcon.gif" style="margin-bottom: 10px; margin-left: 2px" alt="MailIcon" />
                            </ItemTemplate>
                        </radG:GridTemplateColumn>
                        <radG:GridTemplateColumn UniqueName="TemplateColumn2" GroupByExpression="From Group By From"
                            SortExpression="From" HeaderText="From / Subject">
                            <HeaderStyle Width="241px"></HeaderStyle>
                            <ItemStyle Height="35px"></ItemStyle>
                            <ItemTemplate>
                                <%# DataBinder.Eval(Container.DataItem, "From") %>
                                <br />
                                <div class="MailSubject">
                                    <%# DataBinder.Eval(Container.DataItem, "Subject") %>
                                </div>
                            </ItemTemplate>
                        </radG:GridTemplateColumn>
                        <radG:GridBoundColumn UniqueName="Received" SortExpression="Received" HeaderText="Received"
                            DataField="Received">
                            <HeaderStyle Width="125px"></HeaderStyle>
                        </radG:GridBoundColumn>
                        <radG:GridBoundColumn UniqueName="Size" SortExpression="Size" HeaderText="Size" DataField="Size">
                            <HeaderStyle Width="35px"></HeaderStyle>
                        </radG:GridBoundColumn>
                        <radG:GridTemplateColumn UniqueName="TemplateColumn3" Groupable="False">
                            <HeaderStyle Width="20px"></HeaderStyle>
                            <ItemStyle Height="35px" BackColor="#f2f0e4"></ItemStyle>
                            <ItemTemplate>
                                <asp:ImageButton ID="MailFlagImageButton" BorderWidth="0px" CommandName="ChangeFlag"
                                    ImageUrl='<%# Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "Flagged"))? "img/MailFlagRed.gif" : "img/MailFlag.gif" %>'
                                    AlternateText="Change Flag" Style="float: right; cursor: pointer;" runat="server">
                                </asp:ImageButton>
                            </ItemTemplate>
                        </radG:GridTemplateColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings ReorderColumnsOnClient="True" AllowDragToGroup="True" AllowColumnsReorder="True">
                    <Selecting AllowRowSelect="True"></Selecting>
                    <Scrolling AllowScroll="True" UseStaticHeaders="True" SaveScrollPosition="True"></Scrolling>
                    <Resizing AllowRowResize="True" EnableRealTimeResize="False" ResizeGridOnColumnResize="False"
                        ClipCellContentOnResize="True" AllowColumnResize="True"></Resizing>
                </ClientSettings>
                <AJAXLoadingTemplate>
                    <table>
                        <tr>
                            <td valign="middle" style="height: 290px">
                                <img id="Img1" src="~/RadControls/Grid/Skins/Default/Loading.gif" alt="loading" runat="server" />
                            </td>
                        </tr>
                    </table>
                </AJAXLoadingTemplate>
            </radG:RadGrid>
        </div>
        <br style="clear:both;" />
        <asp:Button Text="PostBack" runat="server" ID="Button1" CssClass="button" Style="margin: 10px 22px;">
        </asp:Button>
        Click Postback to see the state of the grid is preserved.
      </div>
    </form>
</body>
</html>
